---
title: ProTabs - 标准标签页
nav:
  title: 组件
  path: /components
group:
  path: /
---

# Tabs标签页
选项卡切换组件。

## 何时使用#
提供平级的区域将大块内容进行收纳和展现，保持界面整洁。

Ant Design 依次提供了三级选项卡，分别用于不同的场景。

- 卡片式的页签，提供可关闭的样式，常用于容器顶部。

- 既可用于容器顶部，也可用于容器内部，是最通用的 Tabs。

- Radio.Button 可作为更次级的页签来使用。

<code src="./demos/Basic.js">

## API

### Tabs

| 参数 | 说明 | 类型 | 默认值 | 版本 |
| --- | --- | --- | --- | --- |
| activeKey	| 当前激活 tab 面板的 key | <font color=#c41d7f>string</font> | - | |
| addIcon	| 自定义添加按钮 | <font color=#c41d7f>ReactNode</font> | - | 4.4.0
| animated	| 是否使用动画切换 Tabs, 仅生效于 tabPosition="top" | <font color=#c41d7f>boolean</font> | { inkBar: boolean, tabPane: boolean } | { inkBar: true, tabPane: false } |  | 
| centered	| 标签居中展示 | <font color=#c41d7f>boolean</font> | false | 4.4.0
| defaultActiveKey	| 初始化选中面板的 key，如果没有设置 activeKey | <font color=#c41d7f>string</font> | 第一个面板 |  | 
| hideAdd	| 是否隐藏加号图标，在 type="editable-card" 时有效 | <font color=#c41d7f>boolean</font> | false |  | 
| keyboard	| 开启键盘切换功能 | <font color=#c41d7f>boolean</font> | true |  | 
| renderTabBar	| 替换 TabBar，用于二次封装标签头 | <font color=#c41d7f>(props: DefaultTabBarProps, DefaultTabBar: React.ComponentClass) => React.ReactElement</font> | 	-	 |  | 
| size	| 大小，提供 large default 和 small 三种大小 | <font color=#c41d7f>string</font> | default |  | 
| tabBarExtraContent	| tab bar 上额外的元素 | <font color=#c41d7f>ReactNode</font> | {left?: ReactNode, right?: ReactNode} | - | object: 4.6.0
| tabBarGutter	| tabs 之间的间隙 | <font color=#c41d7f>number</font> | - |  | 	
| tabBarStyle	| tab bar 的样式对象 | <font color=#c41d7f>object</font> | - |  | 
| tabPosition	| 页签位置，可选值有 top right bottom left | <font color=#c41d7f>string</font> | top |  | 
| type	| 页签的基本样式，可选 line、card editable-card 类型 | <font color=#c41d7f>string</font> | line |  | 	
| onChange	| 切换面板的回调 | <font color=#c41d7f>function(activeKey) {}</font> | - |  | 	
| onEdit	| 新增和删除页签的回调，在 type="editable-card" 时有效 | <font color=#c41d7f>(targetKey, action): void</font> | - |  | 	
| onTabClick	| tab 被点击的回调 | <font color=#c41d7f>function(key: string, event: MouseEvent)</font> | - |  | 	
| onTabScroll	| tab 滚动时触发 | <font color=#c41d7f>function({ direction: <code>left</code> | <code>right</code> | <code>top</code> | <code>bottom</code> })</font> | - | 4.3.0

### Tabs.TabPane

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
|closeIcon | 自定义关闭图标，在 type="editable-card"时有效 | ReactNode | - | 
|forceRender | 被隐藏时是否渲染 DOM 结构 | boolean | false | 
|key | 对应 activeKey | string | - | 
|tab | 选项卡头显示文字 | ReactNode | - | 